<?php $this->addCSS("templates/default/css/callme.css"); ?>
<?php $this->addJS("templates/default/js/callme.js"); ?>
<?php 
	$smssending = cmsCore::getController('smssending');
	$smssending->options = $smssending->getOptions();
?>
<div id="callme-mini"><div id="callme-mini-main" class="callme-mini-main"></div></div>
<div class="callme_wrapper">
<div class="callme_body">
<div class="callme_form">
<div class="callme_title"></div>
<form id="send_form" enctype="multipart/form-data" method="post">
<input type="text" id="name" name="name" class="form-input" value="" placeholder="<?php echo LANG_WD_CALLME_PH_NAME; ?>"/>
<input type="text" id="phone" name="phone" class="form-input" value="" placeholder="<?php echo LANG_WD_CALLME_PH_PHONE; ?>"/>
<input type="text" id="email" name="email" class="form-input" value="" placeholder="<?php echo LANG_WD_CALLME_PH_EMAIL; ?>"/>
<textarea  class="form-textarea"  id="message" name="message" placeholder="<?php echo LANG_WD_CALLME_PH_MSG; ?>"></textarea>
<input type="text" id="time" name="time" class="form-input" value="<?php echo LANG_WD_CALLME_NEAR_FUTURE; ?>" placeholder="<?php echo LANG_WD_CALLME_TIME; ?>"/>
<input type="hidden" name="tomail" value="<?php echo $mail; ?>">
<input type="hidden" id="vid" name="vid" value="">
<?php if($smssending->options['sending_policycheck']) {?>
<input type="checkbox" name="checkbox_poly" id="polityka"> <span class="policy"><?php echo $smssending->options['sending_policytext']; ?></span>
<script>
$(function(){
  $('#send_form input#submit').prop('disabled', true);

  $('#send_form #polityka').change(function() {

      $('#send_form input#submit').prop('disabled', function(i, val) {
        return !val;
      })
  });
});	
</script>
<?php } ?>
<input type="submit" id="submit" name="submit" class="submit" value="<?php echo LANG_WD_CALLME_SUBMIT; ?>"/>
<div id="notice"></div>
</form>
<div class="callme_description"></div>
<div class="callme_time">Указать удобное время</div>
<div class="other writeme-mini-main"><?php echo LANG_WD_CALLME_OTHER_WRITE; ?></div>
<div class="other callme-mini-main"><?php echo LANG_WD_CALLME_OTHER_CALL; ?></div>
</div>
<div class="callme_close"></div>
</div>
</div>

<script>
	$(function(){
        var field = new Array(<?php echo $required; ?>);
          
        $("#send_form").submit(function(e) {   
            var error=0;
            $("#send_form").find(":input:visible").each(function() {
                for(var i=0;i<field.length;i++){
                    if($(this).attr("name")==field[i]){ 
                        
                        if(!$(this).val()){
                            $(this).css('border', 'red 1px solid');
                            error=1;                                                         
                        }
                        else{
                            $(this).css('border', '#469afa 1px solid');
                        }
                        
                    }               
                }
           });
           
            if(error==0){ 
					var mess = $('#send_form').serializeArray();
					
					e.preventDefault();
					$.ajax({
					  url: "/ajax/sendersms.php",
					  type: "POST",
					  data: mess, 
					  success: function(response) {
						if(response != 0){
							$('#notice').empty();
							$('#notice').html('Мы получили ваше сообщение и ответим в ближайшее время. Спасибо за обратную связь!');
							setTimeout(function() {
								$('.callme_wrapper').removeClass('on');
								$('.callme-mini-main').show();
							},5000);
						}else if(response == 0){
							$('#notice').empty();
							$('#notice').html('Ошибка отправки сообщения').css('color', 'red');
						}

					  },
					  error: function(response) {
						
					 }
					});
            }else if(error==1){
                var err_text = "Не заполнены обязательные поля";
                $("#notice").html(err_text).css('color', 'red'); 
                $("#notice").fadeIn("slow"); 
                return false;
            }
            
            
                
        })
    });
	
	
</script>